﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmDesignModeWithMultipleActiveX : Form
    {
        public FrmDesignModeWithMultipleActiveX()
        {
            InitializeComponent();
        }

        private void vg1_OnSheetChange(object sender, EventArgs e)
        {
            if (vg3.vg != null)
            {
                if ( vg3.vg.ActiveSheet != null )
                {
                    vg3.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
                }
            }
            if (vg5.vg != null)
            {
                if (vg5.vg.ActiveSheet != null)
                    vg5.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            }
            if (vg6.vg != null)
            {
                if (vg6.vg.ActiveSheet != null)
                    vg6.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            }
            if (vg7.vg != null)
            {
                if (vg7.vg.ActiveSheet != null)
                    vg7.vg.ActiveSheet.SetPropertyValue("CurSheet", vg1.vg.ActiveSheet);
            }
        }


        private void vg1_OnModifyChange(object sender, EventArgs e)
        {
            if (vg3.vg != null)
            {
                if (vg3.vg.ActiveSheet != null)
                    vg3.vg.ActiveSheet.Execute("btnSave.Enable=CurSheet.Owner.Modified");
            }
        }

        private void vg1_OnSelectChange(object sender, EventArgs e)
        {
            vg2.vg.ActiveSheet.SetPropertyValue("selected", vg1.vg.Selection);
            vg3.vg.ActiveSheet.Execute("OnSelectChange()");
            vg3.vg.ActiveSheet.Execute("btnUndo.Enable=CurSheet.Owner.CanUndo()");
            vg3.vg.ActiveSheet.Execute("btnRedo.Enable=CurSheet.Owner.CanRedo()");
        }

        private void vg1_OnMouseMove(object sender, Axvg._IvgctrlEvents_OnMouseMoveEvent e)
        {
            if (vg5.vg != null)
            {
                if (vg5.vg.ActiveSheet != null)
                    vg5.vg.ActiveSheet.Execute("mousemove()");
            }
            if (vg6.vg != null)
            {
                if (vg6.vg.ActiveSheet != null)
                    vg6.vg.ActiveSheet.Execute("mousemove()");
            }
        }

        private void FrmDesignModeWithMultipleActiveX_Load(object sender, EventArgs e)
        {
            vg1.Design("");
            var s = vg1.DefaultPath;
            vg2.Run(s + "inspector.tbl");
            vg3.Run(s + "toolbar.tbl");
            vg7.Run(s + "btnview.tbl");
            vg5.Run(s + "xruler.tbl");
            vg6.Run(s + "yruler.tbl");
            vg7.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            vg5.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            vg6.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            vg5.vg.ActiveSheet.Execute("ChangeRuler()");
            vg6.vg.ActiveSheet.Execute("ChangeRuler()");
            vg3.vg.ActiveSheet.Execute("btnPaste.Enable=true");
            vg3.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            vg5.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            vg6.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            vg7.vg.ActiveSheet.SetPropertyValue("curSheet", vg1.vg.ActiveSheet);
            var g = vg1.vg.Selection;
            vg2.vg.ActiveSheet.SetPropertyValue("selected", g);
            vg3.vg.ActiveSheet.Execute("OnSelectChange()");
        }

        private void vg1_OnScroll(object sender, EventArgs e)
        {
            if (vg5.vg != null)
            {
                if (vg5.vg.ActiveSheet != null)
                    vg5.vg.ActiveSheet.Execute("ChangeRuler()");
            }
            if (vg6.vg != null)
            {
                if (vg6.vg.ActiveSheet != null)
                    vg6.vg.ActiveSheet.Execute("ChangeRuler()");
            }
        }

        private void FrmDesignModeWithMultipleActiveX_SizeChanged(object sender, EventArgs e)
        {
            vg5.Top = vg5.Top = 62;
            vg6.Top = 82;
            vg6.Left = vg7.Left = panel2.Right;
            vg5.Height = vg6.Width = 20;
            vg5.Width = vg1.Width;
            vg7.Width = vg7.Height = 20;
            vg6.Height = panel2.Height;
            vg1.Left = panel2.Right + 20;
            vg1.Top = 82;
        }
    }
}
