﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmZoomAndTranslationDocument : Form
    {
        public FrmZoomAndTranslationDocument()
        {
            InitializeComponent();
        }

        private void FrmZoomAndTranslationDocument_Load(object sender, EventArgs e)
        {
            vg1.Run("http://www.visual-graph.com/activex/map.xml");
        }

        private void btnZoomfit_Click(object sender, EventArgs e)
        {
            vg1.vg.ZoomFit();
        }

        private void btnZoomin_Click(object sender, EventArgs e)
        {
            vg1.vg.ZoomIn();
        }

        private void btnZoomout_Click(object sender, EventArgs e)
        {
            vg1.vg.ZoomOut();
        }

        private void btnMovesheet_Click(object sender, EventArgs e)
        {
            vg1.vg.MoveSheet();
        }

        private void btnSmallview_Click(object sender, EventArgs e)
        {
            var dlg = vg1.vg.Create( vg1.DefaultPath + "smallview.tbl", true, false );
            dlg.ActiveSheet.SetPropertyValue( "cursheet", vg1.vg.ActiveSheet );
            dlg.Popup(Cursor.Position.X, Cursor.Position.Y);
            dlg.Free();
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            for (var i = 0; i < vg1.vg.SheetCount; i++)
            {
                var st = vg1.vg.get_Sheets(i);
                var n = st.UnitCount;
                for (var j = 0; j < n; j++)
                {
                    var d = st.get_Units(j);
                    if (!d.IsElement())
                    {
                        if(d.Text!=null)
                        {
                            if (d.Text.IndexOf("building", 0) > -1)
                            {
                                vg1.vg.ActiveSheet = st;
                                vg1.vg.Zoom = d.ZoomMin + 1;
                                vg1.vg.Selection.Clear();
                                vg1.vg.Selection.Add(d);
                                var x = d.XOrigin;
                                var y = d.YOrigin;
                                vg1.vg.ScrollToCenter(x, y);
                                MessageBox.Show(d.Text);
                                return;
                            }
                        }
                    }
                }
            }

        }
    }
}
