unit AddaUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, vg_TLB, StdCtrls;

type
  TfrmAddaUnit = class(TForm)
    vg1: Tvgctrl;
    ToolBar: Tvgctrl;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAddaUnit: TfrmAddaUnit;

implementation

{$R *.dfm}

procedure TfrmAddaUnit.FormShow(Sender: TObject);
begin
  toolbar.Run( 'http://www.visual-graph.com/activex/addunit.xml' );
  vg1.design( '' );
  toolbar.vg.ActiveSheet.SetPropertyValue( 'cursheet', vg1.vg.ActiveSheet );
end;

procedure TfrmAddaUnit.Button1Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.AddUnit( nil, 'rect' );
  d.SetBounds( 0, 100, 100, 100 );
  d.BackColor := $FF00;
end;

procedure TfrmAddaUnit.Button2Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.AddUnit( nil, 'line' );
  d.PointCount := 2;
  d.X[0] := 100;
  d.Y[0] := 100;
  d.X[1] := 200;
  d.Y[1] := 200;
  d.Refresh();
  d.LineWidth := 8;
  d.EndArrow := 1;
end;

procedure TfrmAddaUnit.Button3Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.AddUnit( nil, 'circle' );
  d.SetBounds( 200, 100, 100, 100 );
  d.BackColor := $FF;
end;

procedure TfrmAddaUnit.Button4Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.AddUnit( nil, 'arc' );
  d.SetBounds( 300, 100, 100, 100 );
  d.StartAngle := 45;
  d.EndAngle := 315;
  d.LineWidth := 8;
  d.BackColor := $FF0000;
end;

procedure TfrmAddaUnit.Button5Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.AddUnit( nil, 'pie' );
  d.SetBounds( 400, 100, 100, 100 );
  d.StartAngle := 45;
  d.EndAngle := 315;
  d.LineWidth := 8;
  d.BackColor := $FF0000;
end;

procedure TfrmAddaUnit.Button6Click(Sender: TObject);
var
  doc : Ivg;
  d : IUnit;
begin
  doc := vg1.vg.Create( vg1.DefaultPath + 'controls.tbl', true, false );
  d := vg1.vg.ActiveSheet.AddUnit(doc, 'button' );
  d.MoveTo( 500, 150 - d.Height / 2 );
  d.Lib := doc.FileName;
  doc.Free();
end;

procedure TfrmAddaUnit.Button7Click(Sender: TObject);
var
  doc : Ivg;
  d : IUnit;
begin
  doc := vg1.vg.Create( vg1.DefaultPath + 'controls.tbl', true, false );
  d := vg1.vg.ActiveSheet.AddUnit( doc, 'listbox' );
  d.SetBounds( 600, 100, 100, 100 );
  d.Execute( 'AddItem( "Item1" )' );
  d.Execute( 'AddItem( "Item2" )' );
  d.Execute( 'AddItem( "Item3" )' );
  d.Lib := doc.FileName;
  doc.Free();
end;

procedure TfrmAddaUnit.Button8Click(Sender: TObject);
var
  doc : Ivg;
  d : IUnit;
begin
  doc := vg1.vg.Create( vg1.DefaultPath + 'controls.tbl', true, false );
  d := vg1.vg.ActiveSheet.AddUnit( doc, 'vscrollbar' );
  d.MoveTo( 750 - d.Width / 2, 100 );
  d.Height := 100;
  d.Lib := doc.FileName;
  doc.Free();
end;

procedure TfrmAddaUnit.Button9Click(Sender: TObject);
var
  doc : Ivg;
  d : IUnit;
begin
  doc := vg1.vg.Create( 'http://www.visual-graph.com/activex/power.xml', true, false );
  d := vg1.vg.ActiveSheet.AddUnit( doc, 'TransformerB' );
  d.MoveTo( 850 - d.Width / 2, 150 - d.Height / 2 );
  d.Lib := doc.FileName;
  doc.Free();
end;

procedure TfrmAddaUnit.Button10Click(Sender: TObject);
var
  doc : Ivg;
  d : IUnit;
begin
  doc := vg1.vg.Create( 'http://www.visual-graph.com/activex/power.xml', true, false );
  d := vg1.vg.ActiveSheet.AddUnit( doc, 'VGround' );
  d.MoveTo( 950 - d.Width / 2, 150 - d.Height / 2 );
  d.Lib := doc.FileName;
  doc.Free();
end;

end.
