// reateUnitFromXML.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "CreateUnitFromXML.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CreateUnitFromXML dialog


CreateUnitFromXML::CreateUnitFromXML(CWnd* pParent /*=NULL*/)
  : CDialog(CreateUnitFromXML::IDD, pParent)
{
  //{{AFX_DATA_INIT(CreateUnitFromXML)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void CreateUnitFromXML::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(CreateUnitFromXML)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CreateUnitFromXML, CDialog)
  //{{AFX_MSG_MAP(CreateUnitFromXML)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CreateUnitFromXML message handlers

BOOL CreateUnitFromXML::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Run( "http://www.visual-graph.com/activex/xml.xml" );
  return TRUE; 
}

void CreateUnitFromXML::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 40, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 204, cy - 40, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 408, cy - 40, 200, 20 );
    bt = GetDlgItem( IDC_BUTTON4 );
    bt->MoveWindow( 612, cy - 40, 200, 20 );
  };
}

void CreateUnitFromXML::OnButton1() 
{
  CString s = "<rect name=\"rect1\" origin=\"496,52\" bounds=\"408,16,584,88\" backcolor=\"$A0FFA0\" pattern=\"1\"/>";
  CUnit d = vg1.GetVg().GetActiveSheet().AddUnit( NULL, "rect" );
  d.LoadFromBuffer( s );
}

void CreateUnitFromXML::OnButton2() 
{
  CString s = "<RadioButton lib=\"controls.tbl\" name=\"RadioButton1\" origin=\"453,128\" bounds=\"408,120,498,136\" protect=\"40\" Caption=\"RadioButton1\" Checked=\"true\" Enable=\"true\" Focused=\"false\"/>";
  CUnit d = vg1.GetVg().GetActiveSheet().AddUnit( NULL, "element" );
  d.LoadFromBuffer( s );
}

void CreateUnitFromXML::OnButton3() 
{
  CString s = "<Transformer name=\"Transformer1\" origin=\"532,208\" bounds=\"480,192,584,224\">\
<circle name=\"circle1\" origin=\"520,208\" bounds=\"504,192,536,224\" linkmode=\"2\"/>\
<circle name=\"circle2\" origin=\"544,208\" bounds=\"528,192,560,224\" linkmode=\"2\"/>\
<line name=\"line1\" origin=\"492,208\" bounds=\"480,208,504,208\" points=\"504,208,6 480,208,2\"/>\
<line name=\"line2\" origin=\"572,208\" bounds=\"560,208,584,208\" points=\"560,208,6 584,208,2\"/>\
</Transformer>";
  CUnit d = vg1.GetVg().GetActiveSheet().AddUnit( NULL, "element" );
  d.LoadFromBuffer( s );
}

void CreateUnitFromXML::OnButton4() 
{
  CString s = "<?xml version=\"1.0\" encoding=\"unicode\"?>\
<vg version=\"1100\" showgrid=\"true\" range=\"0,0,1024,768\" paperbounds=\"0,0,793.700787,1122.141732\">\
<sheet name=\"sheet1\" visible=\"false\">\
<circle name=\"circle1\" origin=\"124,80\" bounds=\"16,24,232,136\" linkmode=\"2\" backcolor=\"$A0A0FF\" pattern=\"1\"/>\
<circle name=\"circle2\" origin=\"84,64\" bounds=\"72,56,96,72\" linkmode=\"2\" backcolor=\"$FFFF\" pattern=\"1\"/>\
<circle name=\"circle3\" origin=\"172,64\" bounds=\"160,56,184,72\" linkmode=\"2\" backcolor=\"$FFFF\" pattern=\"1\"/>\
<line name=\"line1\" origin=\"124,112\" bounds=\"104,112,144,120\" points=\"104,112,6 112,120,4 136,120,4 144,112,4\"/>\
<rect name=\"rect1\" origin=\"58,161.5\" bounds=\"56,152,202,167\" linetype=\"0\" textalign=\"1\" text=\"Wellcom use Visual Graph\" autosize=\"true\"/>\
</sheet>\
</vg>";
  vg1.GetVg().LoadFromBuffer( s );
}
