﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmCopyaunit : Form
    {
        public FrmCopyaunit()
        {
            InitializeComponent();
        }

        private void FrmCopyaunit_Load(object sender, EventArgs e)
        {
            vg1.Run("http://www.visual-graph.com/activex/copyunit.xml");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var src = ((vg.Ivg) vg1.vg.ActiveSheet.UnitByName("SubWindow1").GetPropertyValue("Doc")).ActiveSheet;
            var circle1 = src.UnitByName("circle1");
            var rect1 = src.UnitByName("rect1");
            vg.ISheet dest = ((vg.Ivg)vg1.vg.ActiveSheet.UnitByName("SubWindow2").GetPropertyValue("Doc")).ActiveSheet;
            ((vg.Ivg)dest.Owner).Selection.Clear();
            var d = dest.CopyUnit(circle1);
            ((vg.Ivg)dest.Owner).Selection.Add(d);
            d = dest.CopyUnit(rect1);
            ((vg.Ivg)dest.Owner).Selection.Add(d);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var src = ((vg.Ivg) vg1.vg.ActiveSheet.UnitByName("SubWindow3").GetPropertyValue("Doc")).ActiveSheet;
            var dest = ((vg.Ivg)vg1.vg.ActiveSheet.UnitByName("SubWindow4").GetPropertyValue("Doc")).ActiveSheet;
            var d = dest.CopyUnit(src);
            ((vg.Ivg)dest.Owner).Selection.Clear();
            ((vg.Ivg)dest.Owner).Selection.Add(d);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            var dest = ((vg.Ivg) vg1.vg.ActiveSheet.UnitByName("SubWindow3").GetPropertyValue("Doc")).ActiveSheet;
            var src = ((vg.Ivg)vg1.vg.ActiveSheet.UnitByName("SubWindow4").GetPropertyValue("Doc")).ActiveSheet;
            if (src.UnitCount != 0)
            {
                var s = ((vg.Ivg)dest.Owner).CopySheet(src.get_Units(0));
                ((vg.Ivg)dest.Owner).DeleteSheet(((vg.Ivg)dest.Owner).get_Sheets(0));
            }
            else
            {
                MessageBox.Show("please copy an element from sheet first");
            }
        }
    }
}
