﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmRunPowerSystemWiringdiagram : Form
    {
        public FrmRunPowerSystemWiringdiagram()
        {
            InitializeComponent();
        }

        private void FrmRunPowerSystemWiringdiagram_Load(object sender, EventArgs e)
        {
            vg1.Run("http://www.visual-graph.com/activex/powersystem.xml");
        }

        private void btnShutswitches_Click(object sender, EventArgs e)
        {
            var i = 0;
            while (i < vg1.vg.ActiveSheet.UnitCount)
            {
                var d = vg1.vg.ActiveSheet.get_Units(i);
                if (d.Type == "DZB")
                {
                    var b = d.GetPropertyValue("Value");
                    d.SetPropertyValue("Value", true);
                }
                i = i + 1;
            }

        }

        private void btnOpenswitches_Click(object sender, EventArgs e)
        {
            vg1.vg.ActiveSheet.Execute("i = 0;while i < UnitCount;d = Units[i]; if d.Type = 'DZB' then; b = d.Value; d.Value = false; end if; i = i + 1; wend");
        }

        private void vg1_OnMouseMove(object sender, Axvg._IvgctrlEvents_OnMouseMoveEvent e)
        {
            label2.Text = "Cursor position : " + e.x + "," + e.y;
        }

        private void vg1_OnClick(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitAtCursor(null);
            if (d != null)
                MessageBox.Show("You clicked : " + d.Name);

        }
    }
}
