unit DesignAndRunModaldialog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmDesignAndRunModaldialog = class(TForm)
    vg1: Tvgctrl;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDesignAndRunModaldialog: TfrmDesignAndRunModaldialog;

implementation

{$R *.dfm}

procedure TfrmDesignAndRunModaldialog.FormShow(Sender: TObject);
begin
  vg1.Design( vg1.DefaultPath + 'docset.tbl' );
end;

procedure TfrmDesignAndRunModaldialog.Button2Click(Sender: TObject);
var
  dlg : Ivg;
begin
  vg1.vg.ActiveSheetIndex := 0;
  dlg := vg1.vg.Create( '', false, false );
  dlg.FileName := vg1.vg.FileName;
  dlg.LoadFromBuffer( vg1.vg.SaveToBuffer() );
  dlg.ActiveSheet.SetPropertyValue( 'cursheet', vg1.vg.ActiveSheet );
  dlg.ShowModal();
  dlg.Free();
end;

procedure TfrmDesignAndRunModaldialog.Button1Click(Sender: TObject);
var
  dlg : Ivg;
begin
  dlg := vg1.vg.Create( vg1.DefaultPath + 'docset.tbl', false, false );
  dlg.ActiveSheet.SetPropertyValue( 'cursheet', vg1.vg.ActiveSheet );
  dlg.ShowModal();
  dlg.Free();
end;

procedure TfrmDesignAndRunModaldialog.Button3Click(Sender: TObject);
var
  n : Integer;
begin
  n := vg1.vg.ActiveSheetIndex;
  if( n = 2 ) then
    n := 0
  else
    n := n + 1;
  vg1.vg.ActiveSheetIndex := n;
end;

procedure TfrmDesignAndRunModaldialog.Button4Click(Sender: TObject);
var
  s : string;
  i : Integer;
begin
  s := '';
  i := 0;
  while( i < vg1.vg.SheetCount ) do
  begin
    s := s + vg1.vg.Sheets[i].Name + ',';
    i := i + 1;
  end;
  ShowMessage( 'There are ' + IntToStr( vg1.vg.SheetCount ) + ' sheets, they are : ' + s );
end;

procedure TfrmDesignAndRunModaldialog.Button5Click(Sender: TObject);
begin
  ShowMessage( '[' + FloatToStr( vg1.vg.RangeLeft ) + ',' + FloatToStr( vg1.vg.RangeTop ) + ']-[' + FloatToStr( vg1.vg.RangeRight ) + ',' + FloatToStr( vg1.vg.RangeBottom ) + ']' );
end;

procedure TfrmDesignAndRunModaldialog.Button6Click(Sender: TObject);
begin
  vg1.vg.BackColor := $C0C0C0;
end;

procedure TfrmDesignAndRunModaldialog.Button7Click(Sender: TObject);
begin
  vg1.vg.ShowGrid := true;
end;

procedure TfrmDesignAndRunModaldialog.Button8Click(Sender: TObject);
begin
  vg1.vg.ShowGrid := false;
end;

procedure TfrmDesignAndRunModaldialog.Button9Click(Sender: TObject);
begin
  vg1.vg.GridSize := 16;
end;

procedure TfrmDesignAndRunModaldialog.Button10Click(Sender: TObject);
begin
  vg1.vg.GridSize := 32;
end;

end.
