unit ResizeaUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmResizeaUnit = class(TForm)
    vg1: Tvgctrl;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmResizeaUnit: TfrmResizeaUnit;

implementation

{$R *.dfm}

procedure TfrmResizeaUnit.FormShow(Sender: TObject);
begin
  vg1.Design( 'http://www.visual-graph.com/activex/onresize.xml' );
end;

procedure TfrmResizeaUnit.Button1Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.UnitByName( 'element2' );
  if d <> nil then
    ShowMessage( '[' + FloatToStr( d.Left ) + ',' + FloatToStr( d.Top ) + ']-[' + FloatToStr( d.Right ) + ',' + FloatToStr( d.Bottom ) + ']' );
end;

procedure TfrmResizeaUnit.Button2Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.UnitByName( 'element2' );
  if d <> nil then
    d.SetBounds( 100, 200, 300, 60 );
end;

procedure TfrmResizeaUnit.Button3Click(Sender: TObject);
var
  d : IUnit;
  dlg : Ivg;
begin
  d := vg1.vg.ActiveSheet.UnitByName( 'element2' );
  vg1.vg.Selection.Clear();
  vg1.vg.Selection.Add( d );
  dlg := vg1.vg.Create( 'http://www.visual-graph.com/activex/orgdlg.xml', false, false );
  dlg.ActiveSheet.SetPropertyValue( 'CurSheet', vg1.vg.ActiveSheet );
  dlg.ShowModal();
  dlg.Free();
  vg1.vg.Rotate();
end;

procedure TfrmResizeaUnit.Button4Click(Sender: TObject);
var
  d : IUnit;
begin
  d := vg1.vg.ActiveSheet.UnitByName( 'element2' );
  if d <> nil then
  begin
    d.Protect := 56;//forbid to delete, mirror and change width
    vg1.vg.Selection.Clear();
    vg1.vg.Selection.Add( d );
  end;
end;

end.
