// UnitProperty.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "group.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "UnitProperty.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// UnitProperty dialog


UnitProperty::UnitProperty(CWnd* pParent /*=NULL*/)
  : CDialog(UnitProperty::IDD, pParent)
{
  //{{AFX_DATA_INIT(UnitProperty)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void UnitProperty::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(UnitProperty)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(UnitProperty, CDialog)
  //{{AFX_MSG_MAP(UnitProperty)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
  ON_BN_CLICKED(IDC_BUTTON5, OnButton5)
  ON_BN_CLICKED(IDC_BUTTON6, OnButton6)
  ON_BN_CLICKED(IDC_BUTTON7, OnButton7)
  ON_BN_CLICKED(IDC_BUTTON8, OnButton8)
  ON_BN_CLICKED(IDC_BUTTON9, OnButton9)
  ON_BN_CLICKED(IDC_BUTTON10, OnButton10)
  ON_BN_CLICKED(IDC_BUTTON11, OnButton11)
  ON_BN_CLICKED(IDC_BUTTON12, OnButton12)
  ON_BN_CLICKED(IDC_BUTTON13, OnButton13)
  ON_BN_CLICKED(IDC_BUTTON14, OnButton14)
  ON_BN_CLICKED(IDC_BUTTON15, OnButton15)
  ON_BN_CLICKED(IDC_BUTTON16, OnButton16)
  ON_BN_CLICKED(IDC_BUTTON17, OnButton17)
  ON_BN_CLICKED(IDC_BUTTON18, OnButton18)
  ON_BN_CLICKED(IDC_BUTTON19, OnButton19)
  ON_BN_CLICKED(IDC_BUTTON20, OnButton20)
  ON_BN_CLICKED(IDC_BUTTON21, OnButton21)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// UnitProperty message handlers

BOOL UnitProperty::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Design("http://www.visual-graph.com/activex/unit.xml");
  return TRUE;
}

void UnitProperty::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 80 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 70, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 100, cy - 70, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 200, cy - 70, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON4 );
    bt->MoveWindow( 300, cy - 70, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON5 );
    bt->MoveWindow( 400, cy - 70, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON6 );
    bt->MoveWindow( 500, cy - 70, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON7 );
    bt->MoveWindow( 600, cy - 70, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON8 );
    bt->MoveWindow( 0, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON9 );
    bt->MoveWindow( 100, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON10 );
    bt->MoveWindow( 200, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON11 );
    bt->MoveWindow( 300, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON12 );
    bt->MoveWindow( 400, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON13 );
    bt->MoveWindow( 500, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON14 );
    bt->MoveWindow( 600, cy - 50, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON15 );
    bt->MoveWindow( 0, cy - 30, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON16 );
    bt->MoveWindow( 100, cy - 30, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON17 );
    bt->MoveWindow( 200, cy - 30, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON18 );
    bt->MoveWindow( 300, cy - 30, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON19 );
    bt->MoveWindow( 400, cy - 30, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON20 );
    bt->MoveWindow( 500, cy - 30, 100, 20 );
    bt = GetDlgItem( IDC_BUTTON21 );
    bt->MoveWindow( 600, cy - 30, 100, 20 );
  }  
}

void UnitProperty::OnButton1() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.GetUnits(0);
    d.Execute("LineColor = $FF; LineWidth = 8; LineType = 15; EndArrow = 1");
}

void UnitProperty::OnButton2() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.GetUnits(0);
    d.Execute("PointCount=4; x[1]=-300; Y[1]=-150; x[2]=-200; Y[2]=-250; Refresh()");
}

void UnitProperty::OnButton3() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.UnitByName( "rect1" );
    d.Execute("Text = 'Wellcom to use Visual Graph!'; FontName = 'Times new Roman'; FontSize = 24; FontStyle = 1;");
}

void UnitProperty::OnButton4() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.UnitByName( "circle1" );
  d.Execute( "Pattern=1; BackColor = $FF;Picture=''" );
}

void UnitProperty::OnButton5() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.UnitByName( "circle1" );
  d.Execute( "Pattern=19; BackColor = $FF;Picture=''" );
}

void UnitProperty::OnButton6() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
    CUnit d = sheet.UnitByName( "circle1" );
  d.Execute( "Pattern=242;Picture=''" );
}

void UnitProperty::OnButton7() 
{
  Cvg vg = vg1.GetVg();
  CSheet d = vg.GetActiveSheet();
  d.Execute("Circle1.Pattern=254;Circle1.Picture=Rect2.Picture");  
}

void UnitProperty::OnButton8() 
{
  Cvg vg = vg1.GetVg();
  CSheet d = vg.GetActiveSheet();
  d.Execute("Circle1.Pattern=255;Circle1.Picture=Rect2.Picture");
}

void UnitProperty::OnButton9() 
{
  Cvg vg = vg1.GetVg();
  CSheet d = vg.GetActiveSheet();
  d.Execute("Circle1.Pattern=0;Circle1.Picture=Rect2.Picture;Circle1.BackColor=$C0C0C0");
}

void UnitProperty::OnButton10() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    int i = 0;
    int n = sheet.GetUnitCount();
    while (i < n)
    {
        CUnit d = sheet.GetUnits(i);
        d.SetShadowOffsetX( 10 );
        d.SetShadowOffsetY( 10 );
        d.SetShadowAlpha( 50 );
        d.SetShadowColor( 0 );
        d.SetShadowVisible( true );
        i = i + 1;
    }
}

void UnitProperty::OnButton11() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    int i = 0;
    int n = sheet.GetUnitCount();
    while (i < n)
    {
        CUnit d = sheet.GetUnits(i);
        d.SetShadowVisible( false );
        i = i + 1;
    }
}

void UnitProperty::OnButton12() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    CUnit d = sheet.UnitByName("element1");
    CUnit el = d.UnitByName("line3");
    el.SetAngle( el.GetAngle() + 15 );
    d.Refresh();
}

void UnitProperty::OnButton13() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    CUnit d = sheet.UnitByName("element1");
  d.SetAngle( d.GetAngle() + 15 );
}

void UnitProperty::OnButton14() 
{
  CSheet d = vg1.GetVg().GetActiveSheet();
  d.SetAngle( d.GetAngle() + 15 );
}

void UnitProperty::OnButton15() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    CUnit d = sheet.UnitByName("element1");
    CUnit line = d.UnitByName("line1");
    MessageBox("Parent of the arrow line is : " + line.GetParent().GetName());
}

void UnitProperty::OnButton16() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    CUnit d = sheet.UnitByName("element1");
    MessageBox("Parent of the element is : " + d.GetParent().GetName());  
}

void UnitProperty::OnButton17() 
{
  MessageBox("Parent of the sheet is : 0");  
}

void UnitProperty::OnButton18() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    CUnit d = sheet.UnitByName("element1");
  Cvg vg = d.GetOwner();
  MessageBox("the file name is : " + vg.GetFileName());
}

void UnitProperty::OnButton19() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    CGroup g = vg1.GetVg().GetSelection();
  int i = 0;
    int n = sheet.GetUnitCount();
    while (i < n)
    {
        CUnit d = sheet.GetUnits(i);
        g.Clear();
        g.Add(d);
        MessageBox(d.GetName() + ": its Type property is '" + d.GetType() + "'");
        i = i + 1;
    }
}

void UnitProperty::OnButton20() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    int i = 0;
    while (i < sheet.GetUnitCount())
    {
        CUnit d = sheet.GetUnits(i);
        d.SetShowHint( true );
        i = i + 1;
    }
}

void UnitProperty::OnButton21() 
{
  CSheet sheet = vg1.GetVg().GetActiveSheet();
    int i = 0;
    while (i < sheet.GetUnitCount())
    {
        CUnit d = sheet.GetUnits(i);
        d.SetShowHint( false );
        i = i + 1;
    }
}
